org.apache.xalan.templates

## Class XSLTVisitor

- java.lang.Object
- - org.apache.xpath.XPathVisitor
  - - org.apache.xalan.templates.XSLTVisitor

- Direct Known Subclasses:
    RedundentExprEliminator

      public class XSLTVisitor
      extends XPathVisitor

  A derivation from this class can be passed to a class that implements the XSLTVisitable interface, to have the appropriate method called for each component of an XSLT stylesheet. Aside from possible other uses, the main intention is to provide a reasonable means to perform expression rewriting.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XSLTVisitor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `visitAVT(AVT elem)` Visit an Attribute Value Template (at the top level).
    `boolean` | `visitExtensionElement(ElemExtensionCall elem)` Visit an extension element.
    `boolean` | `visitInstruction(ElemTemplateElement elem)` Visit an XSLT instruction.
    `boolean` | `visitLiteralResultElement(ElemLiteralResult elem)` Visit a LiteralResultElement.
    `boolean` | `visitStylesheet(ElemTemplateElement elem)` Visit an XSLT stylesheet instruction.
    `boolean` | `visitTopLevelInstruction(ElemTemplateElement elem)` Visit an XSLT top-level instruction.
    `boolean` | `visitTopLevelVariableOrParamDecl(ElemTemplateElement elem)` Visit an XSLT top-level instruction.
    `boolean` | `visitVariableOrParamDecl(ElemVariable elem)` Visit an XSLT variable or parameter declaration.

    - ### Methods inherited from class org.apache.xpath.XPathVisitor

      `visitBinaryOperation, visitFunction, visitLocationPath, visitMatchPattern, visitNumberLiteral, visitPredicate, visitStep, visitStringLiteral, visitUnaryOperation, visitUnionPath, visitUnionPattern, visitVariableRef`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XSLTVisitor

          public XSLTVisitor()

  - ### Method Detail

    - #### visitInstruction

          public boolean visitInstruction(ElemTemplateElement elem)

      Visit an XSLT instruction. Any element that isn't called by one of the other visit methods, will be called by this method.
      Parameters:
        `elem` - The xsl instruction element object.
      Returns:
        true if the sub expressions should be traversed.

    - #### visitStylesheet

          public boolean visitStylesheet(ElemTemplateElement elem)

      Visit an XSLT stylesheet instruction.
      Parameters:
        `elem` - The xsl instruction element object.
      Returns:
        true if the sub expressions should be traversed.

    - #### visitTopLevelInstruction

          public boolean visitTopLevelInstruction(ElemTemplateElement elem)

      Visit an XSLT top-level instruction.
      Parameters:
        `elem` - The xsl instruction element object.
      Returns:
        true if the sub expressions should be traversed.

    - #### visitTopLevelVariableOrParamDecl

          public boolean visitTopLevelVariableOrParamDecl(ElemTemplateElement elem)

      Visit an XSLT top-level instruction.
      Parameters:
        `elem` - The xsl instruction element object.
      Returns:
        true if the sub expressions should be traversed.

    - #### visitVariableOrParamDecl

          public boolean visitVariableOrParamDecl(ElemVariable elem)

      Visit an XSLT variable or parameter declaration.
      Parameters:
        `elem` - The xsl instruction element object.
      Returns:
        true if the sub expressions should be traversed.

    - #### visitLiteralResultElement

          public boolean visitLiteralResultElement(ElemLiteralResult elem)

      Visit a LiteralResultElement.
      Parameters:
        `elem` - The literal result object.
      Returns:
        true if the sub expressions should be traversed.

    - #### visitAVT

          public boolean visitAVT(AVT elem)

      Visit an Attribute Value Template (at the top level).
      Parameters:
        `elem` - The attribute value template object.
      Returns:
        true if the sub expressions should be traversed.

    - #### visitExtensionElement

          public boolean visitExtensionElement(ElemExtensionCall elem)

      Visit an extension element.
      Parameters:
        `elem` - The extension object.
      Returns:
        true if the sub expressions should be traversed.

Copyright © 2023 Apache XML Project. All Rights Reserved.